#!/bin/bash

# Script to start up a DRX gain check session on beam #2 and save
# the results to a file

function run_beam() {
	cd /home/op1/MCS/exec/
	./runGainCheck.sh 2
}

run_beam &
sleep 1

outname=`date -u +"/home/op1/gaincheck_%Y%m%dT%H%M%S.txt"`
echo "Output Filename: ${outname}"

beamPID=`ps aux | grep runGainCheck.sh | grep -v grep | awk '{print $2}'`
echo "Beam PID: ${beamPID}"

date -u +"Date: %Y/%m/%d %H:%M:%S" > ${outname}
/home/op1/MCS/sch/operatorScripts/drxBeamCheck.py -s 1 -c 80 2 >> ${outname}

kill $beamPID
ps aux | grep runGainCheck.sh | grep -v grep

